Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## org.grails.databinding
[Java] Annotation Type BindingFormat

    java.lang.Object
      org.grails.databinding.BindingFormat

    @java.lang.annotation.Retention(RetentionPolicy.RUNTIME)
    @java.lang.annotation.Target(ElementType.FIELD)
    public @interface BindingFormat

Apply BindingFormat to a field to provide a format to be used when binding a String to this field.

    class DateContainer {
        @BindingFormat('MMddyyyy')
        Date someDate
    }

Authors:
  Jeff Brown

Since:
  2.3

Required Element Summary
`java.lang.String` | `value`

Optional Element Summary
`java.lang.String` | `code` @default ""

Method Summary

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Element Detail

### code

    public java.lang.String code

  @default ""

### value

    public java.lang.String value

Groovy Documentation